package com.jz.dm.mall.moduls.service.impl;


import com.jz.dm.mall.moduls.entity.FinanceCustomerAssets;
import com.jz.dm.mall.moduls.mapper.FinanceCustomerAssetsDao;
import com.jz.dm.mall.moduls.service.FinanceCustomerAssetsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

/**
 * 商城企业客户资产(TFinanceCustomerAssets)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
@Service("financeCustomerAssetsService")
public class FinanceCustomerAssetsServiceImpl implements FinanceCustomerAssetsService {
    @Autowired
    private FinanceCustomerAssetsDao assetsDao;

    /**
     * 查询余额是否充足
     *
     * @param id
     */
    @Override
    @Async
    public FinanceCustomerAssets findAssets(Long id, BigDecimal dataPrice) {

        FinanceCustomerAssets assets = assetsDao.findById(id);

        if(assets.getUseMoney().compareTo(dataPrice) == -1){
            new Thread(new Runnable() {
                @Override
                public void run() {
                    // 解冻
                    BigDecimal frozenMoney = assets.getFrozenMoney();

                }
            }).start();

        }
        return null;
    }
}